Returns the OTLP spans and log records (if any) associated with the trace ID
/api/trace/detailsSample request123456curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/trace/details' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"traceId": "4bf92f3577b34da6a3ce929d0e0e4736"}'
Request body
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
Optional time range hint to bound the trace metadata lookup. When provided, the backend
restricts the AggregatedTraceMetadata query to this window (with a small buffer) and
will not fall back to a full-table scan. When absent, the backend uses a default short
window with a full-scan fallback for backward compatibility — this fallback can be
expensive on large datasets. API consumers are strongly encouraged to provide a
timeRange covering when the trace occurred.
If true, recursively fetches all traces referenced via forward links (dash0ForwardLinks)
and returns them in additionalResourceSpans. Implies includeOTLPSchemaExtensions=true.
Responses
Returns spans and log records (if any) in OTLP format.
Response for the GetTrace API. The response contains the spans and logs that match the request.
This API deliberately reuses the full OTLP JSON format for spans and logs. This is done to aid compatibility with existing OTLP consumers.
Resource spans from linked traces. Only populated when includeLinkedTraces=true.